Possible memory leak with raster layers

2011-08-04 10:48 PM - Nathan Woodrow

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14119

Description

After loading a 5GB ecw of my local drive QGIS seems to using more and more memory when panning around.  It quickly reaches 800mb

to 1gb in memory and never seems to let it go.

View of memory use.  The low points are where the raster was remove and then added again.

http://i.imgur.com/0SyEs.png

History

#1 - 2011-08-29 10:03 PM - Paolo Cavallini

Please check if this happens also with other format; otherwise, it could be a problem with the proprietary ECW driver.

#2 - 2011-10-09 05:10 PM - Nathan Woodrow

- Resolution set to invalid

- Status changed from Open to Closed

After some investigation it seems that GDAL has a cache option for the ecw driver (http://www.gdal.org/frmt_ecw.html).  If set to null it will use 1/4 of the

memory for cache.  QGIS never sets the max cache size so the driver just uses the 1/4.  About 700MB on my machine.

I'm going to look into ways that we could let the use set options for each ogr and gdal driver so that we can control this from inside QGIS if need be.

2024-04-25 1/1

http://www.gdal.org/frmt_ecw.html

